#!/bin/bash
# 获取脚本所在的绝对路径
script_dir=$(dirname "$(readlink -f "$0")")
# 获取当前年月，格式如202502
current_date=$(date +%Y%m)
# 创建目录，如果目录已存在则跳过
mkdir -p "$script_dir/$current_date"
# 使用 wget 的 -i 选项从 url.txt 中读取 URL 列表，并下载到指定目录
wget -nc -P "$script_dir/$current_date" -i "$script_dir/url.txt"
echo "下载完成，资源已保存到 $script_dir/$current_date 目录中。"